## MateIconTheme MateIconTheme |

## Synopsis

    #include <libmateui/libmateui.h>

    struct              MateIconThemeClass;
    typedef             MateIconTheme;
    MateIconTheme *    mate_icon_theme_new                (void);
    void                mate_icon_theme_get_search_path    (MateIconTheme *theme,
                                                             char **path[],
                                                             int *n_elements);
    void                mate_icon_theme_set_search_path    (MateIconTheme *theme,
                                                             const char *path[],
                                                             int n_elements);
    gboolean            mate_icon_theme_get_allow_svg      (MateIconTheme *theme);
    void                mate_icon_theme_set_allow_svg      (MateIconTheme *theme,
                                                             gboolean allow_svg);
    char *              mate_icon_theme_get_example_icon_name
                                                            (MateIconTheme *theme);
    void                mate_icon_theme_append_search_path (MateIconTheme *theme,
                                                             const char *path);
    void                mate_icon_theme_prepend_search_path
                                                            (MateIconTheme *theme,
                                                             const char *path);
    void                mate_icon_theme_set_custom_theme   (MateIconTheme *theme,
                                                             const char *theme_name);
    char *              mate_icon_theme_lookup_icon        (MateIconTheme *theme,
                                                             const char *icon_name,
                                                             int size,
                                                             const MateIconData **icon_data,
                                                             int *base_size);
    gboolean            mate_icon_theme_has_icon           (MateIconTheme *theme,
                                                             const char *icon_name);
    GList *             mate_icon_theme_list_icons         (MateIconTheme *theme,
                                                             const char *context);
    gboolean            mate_icon_theme_rescan_if_needed   (MateIconTheme *theme);
    MateIconData *     mate_icon_data_dup                 (const MateIconData *icon_data);
    void                mate_icon_data_free                (MateIconData *icon_data);

## Description

## Details

### struct MateIconThemeClass

    struct MateIconThemeClass {
      GObjectClass parent_class;

      void (* changed)  (MateIconTheme *icon_theme);
    };

### Warning

`MateIconThemeClass` is deprecated and should not be used in newly-written code.

### MateIconTheme

    typedef GtkIconTheme MateIconTheme;

### Warning

`MateIconTheme` is deprecated and should not be used in newly-written code.

### mate_icon_theme_new ()

    MateIconTheme *    mate_icon_theme_new                (void);

### Warning

`mate_icon_theme_new` is deprecated and should not be used in newly-written code.

Returns : |

### mate_icon_theme_get_search_path ()

    void                mate_icon_theme_get_search_path    (MateIconTheme *theme,
                                                             char **path[],
                                                             int *n_elements);

### Warning

`mate_icon_theme_get_search_path` is deprecated and should not be used in newly-written code.

`theme` : |
`path` : |
`n_elements` : |

### mate_icon_theme_set_search_path ()

    void                mate_icon_theme_set_search_path    (MateIconTheme *theme,
                                                             const char *path[],
                                                             int n_elements);

### Warning

`mate_icon_theme_set_search_path` is deprecated and should not be used in newly-written code.

`theme` : |
`path` : |
`n_elements` : |

### mate_icon_theme_get_allow_svg ()

    gboolean            mate_icon_theme_get_allow_svg      (MateIconTheme *theme);

### Warning

`mate_icon_theme_get_allow_svg` is deprecated and should not be used in newly-written code.

`theme` : |
Returns : |

### mate_icon_theme_set_allow_svg ()

    void                mate_icon_theme_set_allow_svg      (MateIconTheme *theme,
                                                             gboolean allow_svg);

### Warning

`mate_icon_theme_set_allow_svg` is deprecated and should not be used in newly-written code.

`theme` : |
`allow_svg` : |

### mate_icon_theme_get_example_icon_name ()

    char *              mate_icon_theme_get_example_icon_name
                                                            (MateIconTheme *theme);

### Warning

`mate_icon_theme_get_example_icon_name` is deprecated and should not be used in newly-written code.

`theme` : |
Returns : |

### mate_icon_theme_append_search_path ()

    void                mate_icon_theme_append_search_path (MateIconTheme *theme,
                                                             const char *path);

### Warning

`mate_icon_theme_append_search_path` is deprecated and should not be used in newly-written code.

`theme` : |
`path` : |

### mate_icon_theme_prepend_search_path ()

    void                mate_icon_theme_prepend_search_path
                                                            (MateIconTheme *theme,
                                                             const char *path);

### Warning

`mate_icon_theme_prepend_search_path` is deprecated and should not be used in newly-written code.

`theme` : |
`path` : |

### mate_icon_theme_set_custom_theme ()

    void                mate_icon_theme_set_custom_theme   (MateIconTheme *theme,
                                                             const char *theme_name);

### Warning

`mate_icon_theme_set_custom_theme` is deprecated and should not be used in newly-written code.

`theme` : |
`theme_name` : |

### mate_icon_theme_lookup_icon ()

    char *              mate_icon_theme_lookup_icon        (MateIconTheme *theme,
                                                             const char *icon_name,
                                                             int size,
                                                             const MateIconData **icon_data,
                                                             int *base_size);

### Warning

`mate_icon_theme_lookup_icon` is deprecated and should not be used in newly-written code.

`theme` : |
`icon_name` : |
`size` : |
`icon_data` : |
`base_size` : |
Returns : |

### mate_icon_theme_has_icon ()

    gboolean            mate_icon_theme_has_icon           (MateIconTheme *theme,
                                                             const char *icon_name);

### Warning

`mate_icon_theme_has_icon` is deprecated and should not be used in newly-written code.

`theme` : |
`icon_name` : |
Returns : |

### mate_icon_theme_list_icons ()

    GList *             mate_icon_theme_list_icons         (MateIconTheme *theme,
                                                             const char *context);

### Warning

`mate_icon_theme_list_icons` is deprecated and should not be used in newly-written code.

`theme` : |
`context` : |
Returns : |

### mate_icon_theme_rescan_if_needed ()

    gboolean            mate_icon_theme_rescan_if_needed   (MateIconTheme *theme);

### Warning

`mate_icon_theme_rescan_if_needed` is deprecated and should not be used in newly-written code.

`theme` : |
Returns : |

### mate_icon_data_dup ()

    MateIconData *     mate_icon_data_dup                 (const MateIconData *icon_data);

### Warning

`mate_icon_data_dup` is deprecated and should not be used in newly-written code.

`icon_data` : |
Returns : |

### mate_icon_data_free ()

    void                mate_icon_data_free                (MateIconData *icon_data);

### Warning

`mate_icon_data_free` is deprecated and should not be used in newly-written code.

`icon_data` : |